lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [day] [month] [year] [list]
Date:	Thu, 2 Oct 2014 16:32:48 -0400
From:	Eric Whitney <enwlinux@...il.com>
To:	fstests@...r.kernel.org
Cc:	linux-ext4@...r.kernel.org
Subject: [PATCH] ext4/271: improve mkfs and mount error handling

If 271's attempt to make a scratch device fails, it can inadvertently
mount and run on a pre-existing scratch file system.  This can lead to
invalid test results unless the mkfs failure is separately noted in
271.full.

Noted while debugging an ext4 inline data test failure.  Small ext4 file
systems, as used by this test, use small inodes that are incompatible
with inline data.

Signed-off-by: Eric Whitney <enwlinux@...il.com>
---
 tests/ext4/271 | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/tests/ext4/271 b/tests/ext4/271
index e77ae57..44d9147 100755
--- a/tests/ext4/271
+++ b/tests/ext4/271
@@ -41,11 +41,14 @@ _supported_os Linux
 _need_to_be_root
 _require_scratch
 
-_scratch_mkfs_sized $((128 * 1024 * 1024)) >> $seqres.full 2>&1
+rm -f $seqres.full
+
+_scratch_mkfs_sized $((128 * 1024 * 1024)) >> $seqres.full 2>&1 \
+	|| _fail "mkfs failed"
 
 # -onoload and EXT4_SYNC_FL on file is important becase result in
 # metadata sync writes inside ext4_handle_dirty_metadata()
-_scratch_mount -onoload
+_scratch_mount -onoload >> $seqres.full 2>&1 || _fail "mount failed"
 touch $SCRATCH_MNT/file
 chattr +S $SCRATCH_MNT/file
 # Create sparse file 
-- 
1.9.1

--
To unsubscribe from this list: send the line "unsubscribe linux-ext4" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html

Powered by blists - more mailing lists

Powered by Openwall GNU/*/Linux Powered by OpenVZ